|  | Dual Active Bridge Development Board (Part-No. ) |
Content |  |  |  |  |  |

Loading...
Searching...
No Matches
Data Fields
ADC_MULTICORE Struct Reference
MPLABX MCC Melody Code Generator » ADC Multicore Driver

Structure containing the function pointers of ADC driver. More...

`#include <C:/MCU16Projects/bitbucket/dspic33ck-power-dcdc-dual-active-bridge-development-platform/dspic33ck-dab.X/mcc_generated_files/adc/adc_interface.h>`

Collaboration diagram for ADC_MULTICORE:

## Data Fields
void(* | ChannelCallbackRegister )(void(*callback)(enum ADC_CHANNEL channel, uint16_t adcVal))
| Pointer to ADCx_ChannelCallbackRegister e.g. ADC1_ChannelCallbackRegister.
void(* | ComparatorCallbackRegister )(void(*callback)(enum ADC_CMP comparator))
| Pointer to ADCx_ComparatorCallbackRegister e.g. ADC1_ComparatorCallbackRegister.
void(* | ChannelTasks )(enum ADC_CHANNEL channel)
| Pointer to ADCx_ChannelTasks e.g. ADC1_ChannelTasks.
void(* | ComparatorTasks )(enum ADC_CMP comparator)
| Pointer to ADCx_ComparatorTasks e.g. ADC1_ComparatorTasks.
void(* | IndividualChannelInterruptEnable )(enum ADC_CHANNEL channel)
| Pointer to ADCx_IndividualChannelInterruptEnable e.g. ADC1_IndividualChannelInterruptEnable.
void(* | IndividualChannelInterruptDisable )(enum ADC_CHANNEL channel)
| Pointer to ADCx_IndividualChannelInterruptDisable e.g. ADC1_IndividualChannelInterruptDisable.
void(* | IndividualChannelInterruptFlagClear )(enum ADC_CHANNEL channel)
| Pointer to ADCx_IndividualChannelInterruptFlagClear e.g. ADC1_IndividualChannelInterruptFlagClear.
void(* | IndividualChannelInterruptPrioritySet )(enum ADC_CHANNEL channel, enum INTERRUPT_PRIORITY priorityValue)
| Pointer to ADCx_IndividualChannelInterruptPrioritySet e.g. ADC1_IndividualChannelInterruptPrioritySet.
void(* | CorePowerEnable )(enum ADC_DEDICATED_CORE core)
| Pointer to ADCx_CorePowerEnable e.g. ADC1_CorePowerEnable.
void(* | SharedCorePowerEnable )(void)
| Pointer to ADCx_SharedCorePowerEnable e.g. ADC1_SharedCorePowerEnable.
void(* | PWMTriggerSourceSet )(enum ADC_CHANNEL channel, enum ADC_PWM_INSTANCE pwmInstance, enum ADC_PWM_TRIGGERS triggerNumber)
| Pointer to ADCx_PWMTriggerSourceSet e.g. ADC1_PWMTriggerSourceSet.

## Detailed Description

Definition at line 121 of file adc_interface.h.

## Field Documentation

## ◆ ChannelCallbackRegister

void(* ChannelCallbackRegister) (void(*callback)(enum ADC_CHANNEL channel, uint16_t adcVal))

Definition at line 123 of file adc_interface.h.

## ◆ ChannelTasks

void(* ChannelTasks) (enum ADC_CHANNEL channel)

Definition at line 129 of file adc_interface.h.

## ◆ ComparatorCallbackRegister

void(* ComparatorCallbackRegister) (void(*callback)(enum ADC_CMP comparator))

Definition at line 126 of file adc_interface.h.

## ◆ ComparatorTasks

void(* ComparatorTasks) (enum ADC_CMP comparator)

Definition at line 132 of file adc_interface.h.

## ◆ CorePowerEnable

void(* CorePowerEnable) (enum ADC_DEDICATED_CORE core)

Definition at line 147 of file adc_interface.h.

## ◆ IndividualChannelInterruptDisable

void(* IndividualChannelInterruptDisable) (enum ADC_CHANNEL channel)

Definition at line 138 of file adc_interface.h.

## ◆ IndividualChannelInterruptEnable

void(* IndividualChannelInterruptEnable) (enum ADC_CHANNEL channel)

Definition at line 135 of file adc_interface.h.

## ◆ IndividualChannelInterruptFlagClear

void(* IndividualChannelInterruptFlagClear) (enum ADC_CHANNEL channel)

Definition at line 141 of file adc_interface.h.

## ◆ IndividualChannelInterruptPrioritySet

void(* IndividualChannelInterruptPrioritySet) (enum ADC_CHANNEL channel, enum INTERRUPT_PRIORITY priorityValue)

Definition at line 144 of file adc_interface.h.

## ◆ PWMTriggerSourceSet

void(* PWMTriggerSourceSet) (enum ADC_CHANNEL channel, enum ADC_PWM_INSTANCE pwmInstance, enum ADC_PWM_TRIGGERS triggerNumber)

Definition at line 154 of file adc_interface.h.

## ◆ SharedCorePowerEnable

void(* SharedCorePowerEnable) (void)

Definition at line 150 of file adc_interface.h.

The documentation for this struct was generated from the following file:

- dspic33ck-dab.X/mcc_generated_files/adc/adc_interface.h